import request from "@/utils/request";

//分页获取牵引站列表
export function getTractionStationPageList(data) {
    return request({
        url: "/device-boot/pms/tractionStation/getTractionStationPageList",
        method: "post",
        data,
    });
}
// 新增牵引站信息
export function addTractionStation(data) {
    return request({
        url: "/device-boot/pms/tractionStation/addTractionStation",
        method: "post",
        data,
    });
}
// 修改牵引站信息
export function updateTractionStation(data) {
    return request({
        url: "/device-boot/pms/tractionStation/updateTractionStation",
        method: "post",
        data,
    });
}

//删除牵引站信息
export function deleteTractionStation(data) {
    return request({
        url: "/device-boot/pms/tractionStation/deleteTractionStation",
        method: "post",
        data,
    });
}
// 获取电站
export function getstatationStatList(data) {
    return request({
        url: "/device-boot/pms/statationStat/getstatationStatList",
        method: "post",
        data,
    });
}